Bio::MAGETAB::Feature(3)

NAME
Bio::MAGETAB::Feature - MAGE-TAB feature class

SYNOPSIS
 use Bio::MAGETAB::Feature;

DESCRIPTION
This class is used to store information on array features in MAGE-TAB. These elements will correspond to the individual spots on the array. See the DesignElement class for superclass methods.

ATTRIBUTES

blockCol (required)
    The block column number of the feature (data type: Integer).

blockRow (required)
    The block row number of the feature (data type: Integer).

col (required)
    The number of the feature's column within the enclosing block (data type: Integer).

row (required)
    The number of the feature's row within the enclosing block (data type: Integer).

reporter (required)
    The reporter with which this feature is associated (data type: Bio::MAGETAB::Reporter).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::DesignElement

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).